package com.nartosoft.picuploader;

import java.awt.Color;
import java.awt.Font;
import java.util.List;
import java.util.StringTokenizer;

public interface Configuration {

	public boolean isProxySet();
	public boolean isLogFileSet();
	public boolean isLogFileFormatSet();
	public boolean isHtmlFileSet();
	public boolean isTemplateSet();
	public boolean isSummarySet();
	public boolean isSoundSet();
	public boolean isAutoscaleSet();
	public boolean isTrayiconSet();
	public boolean isScreenshotSet();
	public boolean isShowGUISet();
	public int getMaxFileSize();
	public String getSoundFile();
	public boolean isVerboseSet();
	public String getProxy();
	public String getLogFileName();
	public String getSummaryTime();
	public String getTrayiconFile();
	public int getScreenshotDelay();
	public boolean isImageFileLoggingSet();
	public boolean isUrlLoggingSet();
	public boolean isErrorLoggingSet();
	public String getTemplateFileName();
	public String getHtmlFileName();
	public String getTemplate();
	public List getFileNames();
	public boolean isWatermarkSet();
    public String getWatermarkText();
    public int getWatermarkXor();
    public int getWatermarkYor();
    public Font getWatermarkFont();
    public Color getWatermarkColor();


	
}
