package com.nartosoft.picuploader;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class EventDispatcher {
	private final List eventListeners; // contains EventListener objects

	public EventDispatcher() {
		eventListeners = new ArrayList();
	}

	public void addEventListener(EventListener listener) {
		if (listener != null && !eventListeners.contains(listener)) {
			eventListeners.add(listener);
		}
	}

	public void notifyUpload(String imageFileName, String url) {
		for (Iterator it = eventListeners.iterator(); it.hasNext();) {
			((EventListener) it.next()).onUpload(imageFileName, url);
		}
	}

	public void notifyError(String message) {
		for (Iterator it = eventListeners.iterator(); it.hasNext();) {
			((EventListener) it.next()).onError(message);
		}
	}

	public void notifyAllDone() {
		for (Iterator it = eventListeners.iterator(); it.hasNext();) {
			((EventListener) it.next()).onAllFilesDone();
		}
	}
}
