package com.nartosoft.picuploader;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import java.net.URL;

import javax.swing.ImageIcon;
import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

import org.jdesktop.jdic.tray.SystemTray;
import org.jdesktop.jdic.tray.TrayIcon;

public class PicUploaderTray extends EventListenerAdapter {

	TrayIcon ti = null;

	int done = 1;

	int totalNumber = 0;

	String fileName = null;
	
	boolean errors = false;

	public PicUploaderTray(String fileName, int totalNumber) {
			this.fileName = fileName;
			this.totalNumber = totalNumber;
			this.setIcon();
	}

	public void onAllFilesDone() {
		SystemTray tray = SystemTray.getDefaultSystemTray();
		tray.removeTrayIcon(ti);
	}

	public void onUpload(String fileName, String url) {
		this.done++;
		this.updateIcon();
	}

	public void onError(String message) {
		this.done++;
		this.errors = true;
		this.updateIcon();
	}
	
	public void setIcon() {
		try {
			SystemTray tray = SystemTray.getDefaultSystemTray();
			URL url = new URL("file:"
					+ new File(this.fileName).getCanonicalFile());
			ti = new TrayIcon(new ImageIcon(url));
			String tooltip = "Uploading file " + done + "/" + totalNumber;
			if(this.errors) {
		      tooltip+=" (with Errors)";
			}
			JPopupMenu menu = new JPopupMenu("PicUploader");
			JMenuItem menuItem1 = new JMenuItem("Abort");
			menuItem1.addActionListener(new ActionListener() {
			  public void actionPerformed(ActionEvent evt) {
			    System.exit(0);
			  }}
			);
			menu.add(menuItem1);
			ti.setPopupMenu(menu);
			ti.setToolTip(tooltip);
			tray.addTrayIcon(ti);
		} catch (Exception e) {
			// e.printStackTrace();
		}

	}
	
	public void updateIcon() {
		String tooltip = "Uploading file " + done + "/" + totalNumber;
		if(this.errors) {
		  tooltip+=" (with Errors)";
		}
		ti.setToolTip(tooltip);
	}

	public static void main(String[] args) {
		// new PicUploaderTray("upload.gif");
		//new PicUploaderTray(10);
	}

}
