package com.nartosoft.picuploader;

import java.awt.Color;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.File;

import javax.imageio.ImageIO;

public class Watermark {

	public static int LEFT = 0;

	public static int CENTER = 1;

	public static int RIGHT = 2;

	public static int TOP = 3;

	public static int BOTTOM = 4;

	public static int OFFSET = 10;

	public static BufferedImage addWatermark(BufferedImage img, String text, Color color,
			int xOr, int yOr, Font font) throws Exception {
		Graphics g = img.getGraphics();
		Color c = g.getColor();
		Font f = g.getFont();
		g.setColor(color);
		int imageWidth = img.getWidth();
		int imageHeight = img.getHeight();
		FontMetrics fm = g.getFontMetrics(font);
		int textWidth = fm.stringWidth(text);
		while(textWidth+20>imageWidth) {
			font = new Font(font.getFontName(), Font.PLAIN, font.getSize()-1);
			fm = g.getFontMetrics(font);
			textWidth = fm.stringWidth(text);
		}
		g.setFont(font);
		int xPos = -1;
		int yPos = -1;
		if (xOr == LEFT) {
			xPos = OFFSET;
		} else if (xOr == CENTER) {
			xPos = (imageWidth / 2) - (textWidth) / 2;
		} else {
			xPos = imageWidth - OFFSET - textWidth;
		}
		if (yOr == TOP) {
			yPos = font.getSize() + OFFSET;
		} else if (yOr == CENTER) {
			yPos = (imageHeight / 2);
		} else {
			yPos = imageHeight - OFFSET;
		}
		g.drawString(text, xPos, yPos);
		g.setColor(c);
		g.setFont(f);
        return img;
	}

	public static String addWatermark(File file, String text, Color color,
			int xOr, int yOr, Font font) throws Exception {
		BufferedImage img = ImageIO.read(file);
        img = addWatermark(img, text, color, xOr, yOr, font);
		String fileName = file.toString();
		int index = fileName.lastIndexOf("\\");
		String uploadName = fileName;
		if (index != -1) {
			uploadName = fileName.substring(0, index + 1) + "water_"
					+ fileName.substring(index + 1, fileName.length());
		} else {
			uploadName = "water_" + fileName;

		}
		PictureScaler.writeToFile(new File(uploadName), img);
		return uploadName;

	}

}
